Bug 25534 - BTreeFiler is not threadsafe
BTreeFiler is not threadsafe
Status: CLOSED FIXED
Product: Xindice
Classification: Unclassified
Component: DB Engine
cvs head (1.1)
All All
: P3 critical
: ---
Assigned To: Xindice Developers
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2003-12-15 14:46 UTC by Vadim Gritsenko
Modified: 2007-03-11 19:14 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vadim Gritsenko 2003-12-15 14:46:40 UTC
At least one filer, BTreeFiler, is not threadsafe, which is shown in
FilerTestCase.testConcurrentInsert.
Comment 1 Vadim Gritsenko 2003-12-15 14:47:55 UTC
I'm working on it
Comment 2 Vadim Gritsenko 2003-12-19 02:38:19 UTC
Fixed now; at least test passes through. Fixed also sync issues in HashFiler.